#include "deftype.h"

void strcpy_not98(unchar *des,unchar *src,int mode)
{
unint c,cc;
unchar mojis[7],*moji;
	while ((c=*src++)!=0) {
		if (check_kanji1(c)) {
			cc=*src++;
			if (cc==0) { /* 漢字２バイト目が無い時 */
				*des++=c;
				break;
			}
			c=code98((c<<8|cc),mojis,mode);
			if (c>=0xff00) {
				moji=mojis;
				while ((c=*moji++)!=0) *des++=c;
			} else {
				*des++=(c>>8);
				*des++=(c&0xff);
			}
			continue;
		}
		*des++=c;
	}
	*des=0;
}
